#include <balancer/kernel/cookie/gdpr/is_gdpr_b.h>

extern "C" int LLVMFuzzerTestOneInput(const ui8* const wireData, const size_t wireSize) {
    using namespace NGdprCookie;
    auto res = TIsGdprB::Parse({(const char*) (wireData), wireSize});
    if (res) {
        Y_ENSURE(TIsGdprB::Parse(res->Render()) == res);
    }
    return 0;
}
